@tailwind base;
@tailwind components;
@tailwind utilities;

/* Chrome, Safari, Edge, Opera */
input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  appearance: none;
}
.middle-section {
  min-height: 100vh;
}
/* Firefox */
input[type="number"] {
  -moz-appearance: textfield;
}

.toastStyle {
  background-color: transparent;
  color: transparent;
}

.Toastify__toast {
  width: 300px !important;
  height: 65px !important;
  border: 1px solid orange !important;
  box-shadow: 2px 2px 5px 5px rgba(254, 170, 111, 0.12) !important;
  border-radius: 5px !important;
}

.Toastify__toast-icon {
  display: none !important;
}

.Toastify__progress-bar--success {
  background-color: transparent !important;
  color: transparent;
}

.progressBar {
  height: 3px !important;
  background-color: #feaa6f !important;
}

.gradientText {
  background: -webkit-linear-gradient(left, #ffd588, #fd9149);
  background: linear-gradient(90deg, #ffd588, #fd9149);
  -webkit-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: transparent;
  text-transform: uppercase;
}

.sliderMaindiv .swiper-pagination {
  position: relative !important;
  margin-top: 20px;
}
.sliderMaindiv .slick-dots .slick-active {
  background: linear-gradient(180deg, #ff6600, #ff9900);
  width: 21px !important;
  height: 8px !important;
  display: inline-flex;
  justify-content: center;
  align-content: center;
  text-align: center;
  border-radius: 50px;
}
.sliderMaindiv .slick-dots li button {
  height: 8px;
  width: 8px;
}
.categoriesSliderDiv .swiper-button-prev:after,
.swiper-button-next:after {
  font-family: swiper-icons;
  font-size: 20px !important;
  font-weight: 700;
  text-transform: none !important;
  letter-spacing: 0;
  font-variant: initial;
  line-height: 1;
  color: black;
}
.sliderMaindiv .slick-dots li button:before {
  font-family: slick;
  font-size: 12px !important;
  line-height: 20px;
  position: absolute;
  top: -1px !important;
  left: 0;
  height: 8px;
  display: block;
  content: "•";
  text-align: center;
  opacity: 1;
  color: #a09d9d;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
.sliderMaindiv .slick-dots li.slick-active button:before {
  color: transparent;
}
.sliderMaindiv .slick-dots li button {
  height: 28px;
  display: inline-block;
}
.sliderMaindiv .slick-dots {
  bottom: -45px;
}
.swiper-wrapper {
  padding: inline 100px;
}
/* .tap-highlight-transparent{
    position: absolute;
    opacity: 0;
} */
.data-\[justify\=start\]\:basis-0[data-justify="start"] {
  flex-basis: auto !important;
}
.bg-transparent .gap-4 {
  gap: 0 !important;
}
.marginTopBottom {
  margin-top: 30px;
}
.boxShadowMain {
  box-shadow: 0 1px 6px rgba(0, 0, 0, 0.25);
  background: #ffefe9;
  height: 1px;
}
.MainBg {
  /* background-image: url('https://www.garnetlanee.com/img/collectionBgImg.svg');
    background-size: cover;
    padding-bottom: 50px;
    padding-top: 25px; */
  border-radius: 5px;
  background: linear-gradient(200deg, #f8f6f6 50%, #ff9900c9 180%);
  padding-bottom: 30px;
  padding-top: 30px;
}
.center {
  display: grid;
  place-items: center;
}
.navbarHeader {
  position: relative;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
}

/* .shop-cat-top, .shop-cat-bottom {
    box-shadow: 0px 1px 6px rgba(0, 0, 0, 0.25);
    border-radius: 5px;
    background: linear-gradient(220deg, #F8F8F8 60.32%, rgba(255, 213, 136, 0.00) 179.74%);
} */
.shop-cat-top img,
.shop-cat-bottom img {
  border-radius: 15px;
}
.brand-list {
  padding: 30px 0px;
}
.social-info {
  color: #302f2f;
  text-align: center;
  font-size: 15px;
  font-weight: 600;
  line-height: 18px;
  letter-spacing: 1px;
  padding: 50px 0px;
}
.social-info .social-media {
  display: flex;
  gap: 15px;
  justify-content: center;
  padding-top: 20px;
  margin: 0;
}
.testimonial-text {
  font-size: 14px;
  color: #000;
  text-align: center;
  width: 100%;
  display: inline-block;
  padding-top: 50px;
}
.testimonial .slick-prev,
.testimonial .slick-next {
  width: 40px;
  height: 20px;
  background: transparent;
  border: 1px solid #ff6600;
  transform: translate(-50%, 0%);
  bottom: -30px;
  top: auto;
}
.testimonial .slick-prev {
  left: 48.5%;
}
.testimonial .slick-next {
  right: 44.5%;
}
.testimonial .slick-prev:before,
.testimonial .slick-next:before {
  font-family: initial;
  font-size: 30px;
  line-height: 1px;
  opacity: 1;
  color: #ff6600;
  display: inline-block;
}
.grid_section {
  flex-wrap: nowrap !important;
}
.grid_section .title_section {
  width: 100%;
  max-width: 20%;
  padding-right: 15px;
}
.grid_section .line_section {
  width: 100%;
  max-width: 70%;
}
.grid_section .btn_discover {
  width: 100%;
  margin-left: 20px;
  max-width: 144px;
}
.top_social {
  display: none;
}
.bottom_social {
  display: block;
}
.desktop_only {
  display: block;
}
.mobile_only {
  display: none;
}

@media only screen and (min-width: 1600px) {
  .testimonial .slick-prev {
    left: 49.5%;
  }
  .testimonial .slick-next {
    left: 52.5%;
    right: auto;
  }
}

@media only screen and (min-width: 768px) and (max-width: 1200px) {
  .testimonial .slick-prev {
    left: 46.5%;
  }
  .testimonial .slick-next {
    left: 53.5%;
    right: auto;
  }
}

@media only screen and (max-width: 767px) {
  .brand-list .container {
    padding: 0px;
  }
  .desktop_only {
    display: none;
  }
  .mobile_only {
    display: block;
  }
  .top_social {
    display: block;
  }
  .bottom_social {
    display: none;
  }

  .mobile-cart {
    position: relative;
  }
  .grid_section .title_section {
    max-width: 35%;
  }
  .grid_section .line_section {
    max-width: 40%;
  }
  .testimonial .slick-next {
    left: 58%;
    right: auto;
  }
  .testimonial .slick-prev {
    left: 42%;
  }
  .shop-cat-top,
  .shop-cat-bottom {
    box-shadow: none;
    border-radius: 0;
    background: transparent;
  }
  .social-info {
    padding: 20px 0px;
  }
  .MainBg {
    padding-bottom: 20px;
    padding-top: 20px;
  }
  .collection {
    padding-bottom: 20px;
    padding-top: 20px;
    .slick-slide {
      margin: 0 5px;
    }
  }
  .MainBg .product-main-card {
    width: auto;
    margin: 0px 0px 0px -12px;
    .product-grid {
      padding: 0px;
    }
  }
  .categoriesSliderDiv .swiper-button-prev {
    display: none;
  }
  .categoriesSliderDiv .swiper-button-next {
    display: none;
  }
  /* .card-img {
    height: 160px;
    width: 160px;
  } */
  /* .sliderMobile .slick-current + div img{
        transform: scale(1.3);
        padding: 15px;
    } */
  .slider_mobile {
    /* padding: 30px; */
    /* padding-top: 30px;
        padding-bottom: 30px;
        padding-left: 20px;
        padding-right: 20px; */
  }
  .slick-center .sliderImg img {
    height: 250px;
    width: 250px;
    justify-content: center;
    align-items: center;
  }

  .sliderImg .slick-slide {
    transition: all 1.3s ease;
  }

  .sliderImg .slick-center {
    opacity: 1;
    transform: scale(1.2, 1.2) !important;
  }

  .sliderImg img {
    border-radius: 10px;
  }

  /* .sliderImg .slick-list {
  overflow: visible;
} */

  /* .sliderMobile img{
        height: 161px !important;
        width: 100% !important;
        border-radius: 15px;
        box-shadow: 0px 5px 5px 0px #00000026;
    } */
  /* .btnImg{
        width: 73px !important;
        height: 50px !important;
    } */
}
.sliderMobile {
  display: none !important;
}

@media (max-width: 768px) {
  .sliderMobile {
    display: block !important;
  }
}

polyline {
  color: white;
}

#non-copyable {
  -webkit-user-select: none; /* Safari */
  -moz-user-select: none; /* Firefox */
  -ms-user-select: none; /* IE10+/Edge */
  user-select: none; /* Standard */
  pointer-events: none;
}

.non-copyable-input {
  -webkit-user-select: none; /* Safari */
  -moz-user-select: none; /* Firefox */
  -ms-user-select: none; /* IE10+/Edge */
  user-select: none; /* Standard */
  pointer-events: none;
}

.password-like-input {
  -webkit-text-security: disc; /* Safari and Chrome */
  -moz-text-security: disc; /* Firefox */
  text-security: disc; /* Standard */
}


.swal-button--no {
  border-radius: 5px;
  background: linear-gradient(90deg,#012433 30%,#007A64 100%);
  width: 131px;
  height: 40px;
  font-size: 13px;
  font-style: normal;
  font-weight: 600;
  line-height: 18px;
  color: #fff;
  letter-spacing: 1px;
  border: 0;
  &:hover {
    background: linear-gradient(90deg,#012433 30%,#007A64 100%);
  }
}

.swal-button--yes {
  border-radius: 5px;
  background: white;
  border: 0.5px solid black;
  width: 131px;
  height: 40px;
  font-size: 13px;
  font-style: normal;
  font-weight: 600;
  line-height: 18px;
  color: #000;
  letter-spacing: 1px;
  /* border: 0; */
  &:hover {
    background:  linear-gradient(90deg,#012433 30%,#007A64 100%);
    color: white;
  }
}

.swal-modal {
  border-radius: 20px;
  height: 300px;
}

.swal-icon {
  width: 50px;
  height: 50px;
}

.swal-icon--warning {
  border:3px solid #007A64;
  /* border-color:  #007A64; */
}
 .swal-icon--warning__dot {
  background-color: #012433;
 }

.swal-icon--warning__body {
  height: 30px;
  top: 4px;
  background-color: #012433;
}

.swal-footer {
  text-align: center;
}
